require 'sketchup.rb'
require 'extensions.rb'


module Baroque
    module VRSketch
        VERSION = "2.1"
        RB_VERSION_ID = 20100

        unless file_loaded?(__FILE__)

            ex = SketchupExtension.new('VR Sketch', 'baroquesoftware_vrsketch/main')
            EXTENSION_ID = ex.id
            #
            ex.description = 'VR Sketch'
            ex.version     = VERSION
            ex.copyright   = 'Baroque Software, 2017-2018'
            ex.creator     = 'Armin Rigo, Maciej Fijalkowski, Duncan Fraser'
            #
            Sketchup.register_extension(ex, true)

            file_loaded(__FILE__)
        end
    end
end
